#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,288,576,1224,1296,1368,1440,1512,1800,2448
 * N : 25,144,216,288,576,1224,1296,1368,1440,1512,1800,2448
 * NB : 4,9,9,24,18,9,9,18,9,72,72,72
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 4; \
   else if ((n_) < 252) (nb_) = 9; \
   else if ((n_) < 432) (nb_) = 24; \
   else if ((n_) < 900) (nb_) = 18; \
   else if ((n_) < 1332) (nb_) = 9; \
   else if ((n_) < 1404) (nb_) = 18; \
   else if ((n_) < 1476) (nb_) = 9; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
