#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,192,288,384,480,576,768,1536,3120
 * N : 25,96,192,288,384,480,576,768,1536,3120
 * NB : 4,8,8,48,48,192,192,192,192,192
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 4; \
   else if ((n_) < 240) (nb_) = 8; \
   else if ((n_) < 432) (nb_) = 48; \
   else (nb_) = 192; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
